Update a SubmissionForm
curl --request PATCH \
--url https://api.example.com/api/entities/submissionform/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"id": "<string>",
"name": "<string>",
"orgId": "<string>",
"slug": "<string>",
"status": "<string>",
"closesAt": "2023-11-07T05:31:56Z",
"confirmationMessage": "<string>",
"description": "<string>",
"fieldsJson": "<unknown>",
"handoffMappingsJson": "<unknown>",
"opensAt": "2023-11-07T05:31:56Z",
"routingJson": "<unknown>"
}
'import requests
url = "https://api.example.com/api/entities/submissionform/{id}"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"id": "<string>",
"name": "<string>",
"orgId": "<string>",
"slug": "<string>",
"status": "<string>",
"closesAt": "2023-11-07T05:31:56Z",
"confirmationMessage": "<string>",
"description": "<string>",
"fieldsJson": "<unknown>",
"handoffMappingsJson": "<unknown>",
"opensAt": "2023-11-07T05:31:56Z",
"routingJson": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
eventId: '<string>',
id: '<string>',
name: '<string>',
orgId: '<string>',
slug: '<string>',
status: '<string>',
closesAt: '2023-11-07T05:31:56Z',
confirmationMessage: '<string>',
description: '<string>',
fieldsJson: '<unknown>',
handoffMappingsJson: '<unknown>',
opensAt: '2023-11-07T05:31:56Z',
routingJson: '<unknown>'
})
};
fetch('https://api.example.com/api/entities/submissionform/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}SubmissionForm
Update a SubmissionForm
PATCH
/
api
/
entities
/
submissionform
/
{id}
Update a SubmissionForm
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Arbitrary JSON value
Arbitrary JSON value
Arbitrary JSON value
Response
Updated
⌘I